function F=bioreactor(x,p)
X=x(1); S=x(2); P=x(3);
Y_XS=p(1); alpha=p(2); beta=p(3); mu_m=p(4); Pm=p(5);...
    Km=p(6); Ki=p(7); D=p(8); Sf=p(9);
mu=(mu_m*(1-P/Pm)*S)/(Km+S+(S^2)/Ki);
F=[-D*X+mu*X;...
    D*(Sf-S)-1/Y_XS*mu*X;...
    -D*P+(alpha*mu+beta)*X];