%% Part 1
clc
clear all
load A1.dat
b1=zeros(size(A1,1),1);
b1(10) = -100;

A2=A1(:,1:end-1);
b2=b1;
b2(4)=140;
rank_A2 = rank(A2)
det_A2=det(A2*A2')
x2=A2\b2

%% Part 2 
A3=A1(:,1:end-2);
b3=b1;
b3(3)=30;
b3(4)=140;
rank_A3=rank(A3)
det_A3=det(A3)
x3=inv(A3)*b3

%% Part 3
A4=A1(:,1:end-4);
b4=b1;
b4(3)=30;
b4(4)=140;
b4(15)=-47;
b4(5)=60;
rank_A4=rank(A4)
det_A4=det(A4'*A4)
x4 = inv(A4'*A4)*A4'*b4
x4check = A4\b4

%% Part 4 Plots
figure (2)
bar([x2(1:19) x3(1:19) x4(1:19)])
xlabel('Species')
ylabel('Flux')
legend('CO2','CO2 and biomass','CO2, biomass, O2, and EtOH')
norm(x2(1:19)-x3(1:19))
norm(x2(1:19)-x4(1:19))
norm(x3(1:19)-x4(1:19))
