function F = nonlinear_sys(X,P)
 x1=X(1); x2=X(2); Gamma1=X(3); Gamma2=X(4);
%% Acetone Antoine Parameters 
% T = 25; % In Celcius
% a1 = 7.13; 
% b1 = 1219.97; 
% c1 = 230.653; 
% Psat1= 10^(a1- (b1/(c1+T))); %mmHg

%% Water Antoine Parameters 
% a2 = 8.07; 
% b2 = 1730.63; 
% c2 = 233.426; 
% Psat2 = 10^(a2- (b2/(c2+T))); %mmHg
 
 
%% Parameters
  Alpha = 1.89; 
  Beta = 1.66;
  
  Psat1 = 229.47; % mm Hg
  Psat2 = 23.69; % mm Hg


%% Enter your system of nonlinear functions below
 F(1)= P -(x1*Gamma1*Psat1 + x2*Gamma2*Psat2);
 F(2)= x1+x2-1;
 F(3)= log(Gamma1)- Alpha/(1 +((Alpha*x1)/(Beta*x2)))^2;
 F(4)= log(Gamma2)- Beta/(1 +((Beta*x2)/(Alpha*x1)))^2;

end