%% Problem 2.1
%  F(1)= P -(x1*Gamma1*Psat1 + x2*Gamma2*Psat2);
%  F(2)= x1+x2-1;
%  F(3)= log(Gamma1)- Alpha/(1 +((Alpha*x1)/(Beta*x2)))^2;
%  F(4)= log(Gamma2)- Beta/(1 +((Beta*x2)/(Alpha*x1)))^2;

%% Problem 2.2
% In nonlinear_sys
% function F = nonlinear_sys(X,P)
%  x1=X(1); x2=X(2); Gamma1=X(3); Gamma2=X(4);
 
%  Parameters
%  Alpha = 1.89; 
%  Beta = 1.66;
%  
%  Psat1 = 229.47; % mm Hg
%  Psat2 = 23.69; % mm Hg
% 
% 
%  Enter your system of nonlinear functions below
%  F(1)= P -(x1*Gamma1*Psat1 + x2*Gamma2*Psat2);
%  F(2)= x1+x2-1;
%  F(3)= log(Gamma1)- Alpha/(1 +((Alpha*x1)/(Beta*x2)))^2;
%  F(4)= log(Gamma2)- Beta/(1 +((Beta*x2)/(Alpha*x1)))^2;
% 
% end

%% Problem 2.3
clc
clear all
x0 = [1 2 3 4];
P = 180; %mm Hg
x= fsolve(@(X) nonlinear_sys(X,P), x0);
x1=x(1)
x2=x(2)
Gamma1=x(3)
Gamma2=x(4)
Psat1 = 229.47; % mm Hg
Psat2 = 23.69; % mm Hg
y1 = x1*Gamma1*Psat1/P
y2 = x2*Gamma2*Psat2/P

%% Problem 2.4
 pArray = linspace(20,225);
 VLE_plot(pArray);
